Get Bulk Enrich Results
curl --request GET \
--url https://app.fullenrich.com/api/v2/contact/enrich/bulk/{enrichment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fullenrich.com/api/v2/contact/enrich/bulk/{enrichment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fullenrich.com/api/v2/contact/enrich/bulk/{enrichment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"data": [
{
"input": {
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"company_domain": "<string>",
"company_name": "<string>",
"linkedin_url": "<string>"
},
"custom": {},
"contact_info": {
"most_probable_work_email": {
"email": "<string>"
},
"most_probable_personal_email": {
"email": "<string>"
},
"most_probable_phone": {
"number": "<string>",
"region": "<string>"
},
"work_emails": [
{
"email": "<string>"
}
],
"personal_emails": [
{
"email": "<string>"
}
],
"phones": [
{
"number": "<string>",
"region": "<string>"
}
]
},
"profile": {
"id": "746e4816-19c8-54d8-b558-65a5a52cc85c",
"full_name": "Enzo Romera",
"first_name": "Enzo",
"last_name": "Romera",
"location": {
"country": "France",
"country_code": "FR",
"city": "Paris",
"region": "IDF"
},
"social_profiles": {
"linkedin": {
"url": "https://www.linkedin.com/in/john-doe",
"handle": "john-doe",
"connection_count": 500
}
},
"educations": [
{
"school_name": "Stanford University",
"degree": "Bachelor of Science in Computer Science",
"start_at": "2015-09-01T00:00:00Z",
"end_at": "2019-06-01T00:00:00Z"
}
],
"languages": [
{
"language": "French",
"code": "FR",
"proficiency": "Native or Bilingual"
}
],
"skills": [
"JavaScript",
"Project Management",
"Python"
],
"employment": {
"current": {
"title": "Senior Software Engineer",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Anthropic",
"domain": "anthropic.com",
"description": "AI safety and research company",
"year_founded": 2021,
"headcount": 2610,
"company_type": "Privately Held",
"locations": {
"headquarters": {
"line1": "548 Market St",
"line2": "PMB 42570",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "548 Market St",
"line2": "PMB 42570",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"linkedin": {
"url": "https://www.linkedin.com/company/anthropic",
"handle": "anthropic",
"follower_count": 125000
}
}
},
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"end_at": "2024-06-30T00:00:00Z"
},
"all": [
{
"title": "Senior Software Engineer",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Anthropic",
"domain": "anthropic.com",
"description": "AI safety and research company",
"year_founded": 2021,
"headcount": 2610,
"company_type": "Privately Held",
"locations": {
"headquarters": {
"line1": "548 Market St",
"line2": "PMB 42570",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "548 Market St",
"line2": "PMB 42570",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"linkedin": {
"url": "https://www.linkedin.com/company/anthropic",
"handle": "anthropic",
"follower_count": 125000
}
}
},
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"end_at": "2024-06-30T00:00:00Z"
}
]
}
}
}
],
"cost": {
"credits": 123
}
}Enrichment
Get Enrichment Result
Use this endpoint to retrieve the result from an enrich. You don’t need to use this endpoint if you are using a webhook. Using a webhook is the method we recommend to get the result as soon as the enrichment is done.
GET
/
contact
/
enrich
/
bulk
/
{enrichment_id}
Get Bulk Enrich Results
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier returned when the enrichment was started
Query Parameters
Default = False. This parameter forces the API to return what has been found so far, even if the enrichment is not finished. This may result in missing information and is not recommended for regular use.
Response
OK
Example:
"2db5ea61-1752-42cf-8ea1-ab1da060cd0a"
Example:
"Sales Operations in London"
Available options:
CREATED, IN_PROGRESS, CANCELED, CREDITS_INSUFFICIENT, FINISHED, RATE_LIMIT, UNKNOWN Example:
"FINISHED"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I